<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Tue Jan 11 14:35:05 2005

    Any changes made here will be lost.
-->
<methoddef>
<name>cat</name>
<version>1.0</version>
<signature>array string</signature>
<help>
Cats a file and returns the contents.
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
###############################################################################
#
#   Sub Name:       cat
#
#   Description:    Cats a file
#
#   Arguments:      NAME      IN/OUT  TYPE      DESCRIPTION
#                   $srv      in      ref       Server object instance
#                   $path     in      string    Path to cat
#
#   Globals:        None.
#
#   Environment:    None.
#
#   Returns:        Data from file.
#
###############################################################################
sub cat
{
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: cat.xpl(@_)\n"; close(LOG);
        my ($srv, $path) = @_;

	use strict;

	unless (open(FILE, "<$path"))
	{
		$@ = "Can't open $path for reading: $!";
		return undef;
	}

	return join("", <FILE>);
}

__END__
]]></code>
</methoddef>
