<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Sun Sep 12 13:20:00 2004

    Any changes made here will be lost.
-->
<methoddef>
<name>ipchange</name>
<version>1.0</version>
<signature>array string struct</signature>
<help>
Changes an IP.
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
###############################################################################
#
#   Sub Name:       ipchange
#
#   Description:    Interfaces with the /var/adm/bin/ipchange.pl script to
#                   change IP addresses.
#
#   Arguments:      NAME      IN/OUT  TYPE      DESCRIPTION
#                   $srv      in      ref       Server object instance
#                   $mode     in      string    STATIC | DHCP string
#                   $settings in      ref       Configuration hash
#
#   Globals:        None.
#
#   Environment:    None.
#
#   Returns:        None.
#
###############################################################################
	use strict;

sub ipchange
{
	my ($srv, $mode, $settings) = @_;

	if( fork )
	{
		return 1;
	}

	else
	{
		open my $fh, "> /tmp/new_ip" or die $!;
		print $fh "mode=$mode\n";
		for( keys %$settings ) { print $fh "$_ = $settings->{$_}\n" }
		close $fh;

		exec( "/var/www/rpc/surun /var/adm/bin/ipchange.pl /tmp/new_ip" );
	}
}

__END__
]]></code>
</methoddef>
