##############################################################################
# recurse: Reads all files within a directory recursively
#
#    Args: file path
# Returns: list of files
##############################################################################
sub recurse
{
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: recurse.pl(@_)\n"; close(LOG);
	my $path = shift;

	my @files;

	opendir(PATH, $path);
	foreach (grep { $_ ne "." && $_ ne ".." } readdir(PATH))
	{
		if (-d "$path/$_")
		{
			push @files, recurse("$path/$_");
		}

		push @files, "$path/$_";
	}

	return @files;
}

1;
