<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Mon Sep 13 22:50:25 2004

    Any changes made here will be lost.
-->
<methoddef>
<name>stat</name>
<version>1.0</version>
<signature>string string</signature>
<help>
Return stat() info on a file or directory.
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
###############################################################################
#
#   Sub Name:       stat
#
#   Description:    Returns stat() output for a file.
#
#   Arguments:      NAME      IN/OUT  TYPE      DESCRIPTION
#                   $srv      in      ref       Server object instance
#                   $path     in      string    Path
#
#   Globals:        None.
#
#   Environment:    None.
#
#   Returns:        Array of info.
#
###############################################################################
sub stat
{
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: stat.xpl(@_)\n"; close(LOG);
        my ($srv, $path) = @_;

	use strict;

	return [stat($path)];
}

__END__
]]></code>
</methoddef>
